# General Setup

1. Follow the Gentoo Handbook for installing Gentoo

[Gentoo Handbook](http://www.gentoo.org/doc/en/handbook/)

2. Install LLVM/Clang (Optional)

Clang is a faster compiler than the default GCC. It produces binary as fast, or faster than GCC. To set up clang, 

run `emerge llvm clang`

and add these to lines to the top of your `/etc/make.conf` file

	CC=/usr/bin/clang
	CXX=/usr/bin/clang++
	
If a package fails to compile with clang, you can comment out those lines, and recompile the package with GCC.